Get tasks

GET
/api/v2/tasks
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Query Parameters

project_id?string

Filter by project ID (optional).

Formatuuid
is_active?boolean

Filter by active status (optional).

is_scheduled?boolean

Filter by scheduled status (optional).

name?string

Task name used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
description?string

Task description used for filtering.
Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
sort_by?string

Sort by field name (optional). Supported fields:

  • "Name"
  • "Description"
  • "Project"
  • "Organization"
  • "Enable"
  • "TestMode"
  • "Scheduled"
  • "CreatedDate"
page?integer

Page number (1-based). Default is 1. Ignored when get_all = true.

Formatint32
Range1 <= value <= 2147483647
page_size?integer

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

Formatint32
Range1 <= value <= 50
get_all?boolean

When true, pagination is disabled and all items are returned.

sort_direction?string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v2/tasks"
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "project": "string",      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",      "isActive": true,      "sendNotifications": true,      "notifyIfError": true,      "notifyIfWarning": true,      "notifyIfSuccess": true,      "notificationRecipients": "string",      "notificationCc": "string",      "notificationBcc": "string",      "testMode": true,      "testModeRecipients": "string",      "isScheduled": true,      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",      "organizationDisplayName": "string",      "createdDate": "2019-08-24T14:15:22Z",      "modifiedDate": "2019-08-24T14:15:22Z",      "lastExecution": "2019-08-24T14:15:22Z"    }  ],  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}